/*
 * ble_hal.h
 *
 *  Created on: 08 May 2019
 *      Author: BinderT
 */

#ifndef BLE_HAL_H_
#define BLE_HAL_H_

#include <stdint.h>
#include "ble_config.h"
#include "app_error.h"

#include "ble.h"
#include "nrf_sdh.h"
#include "nrf_sdh_ble.h"
#include "ble_conn_params.h"
#include "app_timer.h"
#include "nrf_ble_gatt.h"
#include "ble_advdata.h"
#include "ble_advertising.h"
#include "peer_manager.h"
#include "nrf_sdh_soc.h"
#include "peer_manager_handler.h"

#include "nrf_log.h"
#include "power_management.h"

void ble_init(void);

void ble_stack_init(void);
void gap_params_init(void);
void gatt_init(void);
void advertising_init(void);
void conn_params_init(void);
void peer_manager_init(void);
void advertising_start(bool erase_bonds);





#endif /* BLE_HAL_H_ */
