/*
 * gpio_con.c
 *
 *  Created on: 28 Nov 2017
 *      Author: BinderT
 */


#include "gpio_con.h"

/*********************************************************************
 * input call backs
 *********************************************************************/
void user_button_handle(nrf_drv_gpiote_pin_t pin, nrf_gpiote_polarity_t action) {
	SEGGER_RTT_printf(0, "[GPIO]user_BUTTON %d\n\r",pin);

}


/******************
 * config gpio
 ******************/
void gpio_init_start(void) {
	ret_code_t err_code;
	err_code = nrf_drv_gpiote_init();
	APP_ERROR_CHECK(err_code);
}

void gpio_init_input(nrf_drv_gpiote_pin_t PIN_IN,
		nrf_drv_gpiote_evt_handler_t event_handle) {
	ret_code_t err_code;

	nrf_drv_gpiote_in_config_t in_config = GPIOTE_CONFIG_IN_SENSE_HITOLO(true);
	in_config.pull = NRF_GPIO_PIN_PULLUP;

	err_code = nrf_drv_gpiote_in_init(PIN_IN, &in_config, event_handle);
	APP_ERROR_CHECK(err_code);

	nrf_drv_gpiote_in_event_enable(PIN_IN, true);
}

void gpio_init_input_user(nrf_drv_gpiote_pin_t PIN_IN,
		nrf_drv_gpiote_evt_handler_t event_handle) {
	ret_code_t err_code;

	nrf_drv_gpiote_in_config_t in_config = GPIOTE_CONFIG_IN_SENSE_HITOLO(false);
	in_config.pull = NRF_GPIO_PIN_PULLUP;

	err_code = nrf_drv_gpiote_in_init(PIN_IN, &in_config, event_handle);
	APP_ERROR_CHECK(err_code);

	nrf_drv_gpiote_in_event_enable(PIN_IN, true);
}

void gpio_init_output(nrf_drv_gpiote_pin_t PIN_OUT) {
	ret_code_t err_code;

	nrf_drv_gpiote_out_config_t out_config = GPIOTE_CONFIG_OUT_SIMPLE(true);

	err_code = nrf_drv_gpiote_out_init(PIN_OUT, &out_config);
	APP_ERROR_CHECK(err_code);

}

void gpio_init(void) {
	//uint32_t err_code;
	//SEGGER_RTT_printf(0, "[GPIO]gpio_init\n\r");
	gpio_init_start();

	//setup leds
	gpio_init_output(LED_PIN);

	gpio_init_input_user(BUTTON_IN, user_button_handle);


	nrf_gpio_pin_write(LED_PIN, LED_ON);


}
