/*
 * timer_hal.c
 *
 *  Created on: 08 May 2019
 *      Author: BinderT
 */

#include "timer_hal.h"

APP_TIMER_DEF(m_led_timer);                                  /**< Battery timer. */


/**@brief Function for handling the Battery measurement timer timeout.
 *
 * @details This function will be called each time the battery level measurement timer expires.
 *
 * @param[in] p_context  Pointer used for passing some arbitrary information (context) from the
 *                       app_start_timer() call to the timeout handler.
 */
static void led_timeout_handler(void * p_context)
{
    UNUSED_PARAMETER(p_context);
    //nrf_gpio_pin_toggle(LED_PIN);
    //battery_level_update();
}



/**@brief Function for the Timer initialization.
 *
 * @details Initializes the timer module. This creates and starts application timers.
 */
void timers_init(void){
    ret_code_t err_code;

    // Initialize timer module.
    err_code = app_timer_init();
    APP_ERROR_CHECK(err_code);

    // Create timers.
    err_code = app_timer_create(&m_led_timer,
                                APP_TIMER_MODE_REPEATED,
                                led_timeout_handler);
    APP_ERROR_CHECK(err_code);
}


/**@brief Function for starting application timers.
 */
void application_timers_start(void)
{
    ret_code_t err_code;

    // Start application timers.
    err_code = app_timer_start(m_led_timer, APP_TIMER_TICKS(100), NULL);
    APP_ERROR_CHECK(err_code);

}
